package cn.ibizlab.api.rest.extensions;

import cn.ibizlab.core.extensions.domain.Msg;
import cn.ibizlab.core.extensions.domain.Template;
import cn.ibizlab.core.extensions.service.NotifyCoreService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;

@RestController
public class NotifyCoreResource {

    @Autowired
    NotifyCoreService notifyCoreService;

    @RequestMapping(method = RequestMethod.POST,value = "/SendMsg")
    public ResponseEntity<Boolean> SendMsg(@Validated @RequestBody Msg msg){
        return ResponseEntity.status(HttpStatus.OK).body(notifyCoreService.sendMsg(msg));
    }

    @RequestMapping(method = RequestMethod.POST,value = "/createMsgTemplate")
    public ResponseEntity<Boolean> createMsgTemplate(@Validated @RequestBody Template template){
        return ResponseEntity.status(HttpStatus.OK).body(notifyCoreService.createMsgTemplate(template));
    }
}
